diff --git a/doc/builtins.0 b/doc/builtins.0
index 26e11d67..f37aab9e 100644
--- a/doc/builtins.0
+++ b/doc/builtins.0
@@ -1444,50 +1451,50 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                       enabled by default.
               pprroommppttvvaarrss
                       If set, prompt strings undergo parameter expansion, com-
-                      mand  substitution,  arithmetic  expansion,  and   quote
-                      removal  after  being expanded as described in PPRROOMMPPTTIINNGG
+                      mand   substitution,  arithmetic  expansion,  and  quote
+                      removal after being expanded as described  in  PPRROOMMPPTTIINNGG
                       above.  This option is enabled by default.
               rreessttrriicctteedd__sshheellll
-                      The  shell  sets  this  option  if  it  is  started   in
+                      The   shell  sets  this  option  if  it  is  started  in
                       restricted mode (see RREESSTTRRIICCTTEEDD SSHHEELLLL below).  The value
-                      may not be changed.  This is not reset when the  startup
-                      files  are  executed, allowing the startup files to dis-
+                      may  not be changed.  This is not reset when the startup
+                      files are executed, allowing the startup files  to  dis-
                       cover whether or not a shell is restricted.
               sshhiifftt__vveerrbboossee
-                      If set, the sshhiifftt builtin prints an error  message  when
+                      If  set,  the sshhiifftt builtin prints an error message when
                       the shift count exceeds the number of positional parame-
                       ters.
               ssoouurrcceeppaatthh
                       If set, the ssoouurrccee (..) builtin uses the value of PPAATTHH to
-                      find  the  directory  containing the file supplied as an
+                      find the directory containing the file  supplied  as  an
                       argument.  This option is enabled by default.
               xxppgg__eecchhoo
-                      If  set,  the  eecchhoo  builtin  expands   backslash-escape
+                      If   set,  the  eecchhoo  builtin  expands  backslash-escape
                       sequences by default.
 
        ssuussppeenndd [--ff]
-              Suspend  the execution of this shell until it receives a SSIIGGCCOONNTT
+              Suspend the execution of this shell until it receives a  SSIIGGCCOONNTT
               signal.  A login shell cannot be suspended; the --ff option can be
               used to override this and force the suspension.  The return sta-
-              tus is 0 unless the shell is a login shell and --ff  is  not  sup-
+              tus  is  0  unless the shell is a login shell and --ff is not sup-
               plied, or if job control is not enabled.
 
        tteesstt _e_x_p_r
        [[ _e_x_p_r ]]
               Return a status of 0 (true) or 1 (false) depending on the evalu-
               ation of the conditional expression _e_x_p_r.  Each operator and op-
-              erand  must be a separate argument.  Expressions are composed of
-              the primaries described  above  under  CCOONNDDIITTIIOONNAALL  EEXXPPRREESSSSIIOONNSS.
-              tteesstt  does not accept any options, nor does it accept and ignore
+              erand must be a separate argument.  Expressions are composed  of
+              the  primaries  described  above  under CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS.
+              tteesstt does not accept any options, nor does it accept and  ignore
               an argument of ---- as signifying the end of options.
 
-              Expressions may  be  combined  using  the  following  operators,
+              Expressions  may  be  combined  using  the  following operators,
               listed  in  decreasing  order  of  precedence.   The  evaluation
-              depends on the number of arguments; see below.  Operator  prece-
+              depends  on the number of arguments; see below.  Operator prece-
               dence is used when there are five or more arguments.
               !! _e_x_p_r True if _e_x_p_r is false.
               (( _e_x_p_r ))
-                     Returns  the value of _e_x_p_r.  This may be used to override
+                     Returns the value of _e_x_p_r.  This may be used to  override
                      the normal precedence of operators.
               _e_x_p_r_1 -aa _e_x_p_r_2
                      True if both _e_x_p_r_1 and _e_x_p_r_2 are true.
@@ -1504,63 +1511,63 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                      null.
               2 arguments
                      If the first argument is !!, the expression is true if and
-                     only  if the second argument is null.  If the first argu-
-                     ment is one of the  unary  conditional  operators  listed
-                     above  under  CCOONNDDIITTIIOONNAALL  EEXXPPRREESSSSIIOONNSS, the expression is
+                     only if the second argument is null.  If the first  argu-
+                     ment  is  one  of  the unary conditional operators listed
+                     above under CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS,  the  expression  is
                      true if the unary test is true.  If the first argument is
                      not a valid unary conditional operator, the expression is
                      false.
               3 arguments
                      The following conditions are applied in the order listed.
-                     If  the  second argument is one of the binary conditional
+                     If the second argument is one of the  binary  conditional
                      operators listed above under CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS, the
                      result of the expression is the result of the binary test
-                     using the first and third arguments as operands.  The  --aa
-                     and  --oo  operators  are  considered binary operators when
-                     there are three arguments.  If the first argument  is  !!,
-                     the  value is the negation of the two-argument test using
+                     using  the first and third arguments as operands.  The --aa
+                     and --oo operators are  considered  binary  operators  when
+                     there  are  three arguments.  If the first argument is !!,
+                     the value is the negation of the two-argument test  using
                      the second and third arguments.  If the first argument is
                      exactly (( and the third argument is exactly )), the result
-                     is the one-argument test of the second argument.   Other-
+                     is  the one-argument test of the second argument.  Other-
                      wise, the expression is false.
               4 arguments
                      If the first argument is !!, the result is the negation of
-                     the three-argument expression composed of  the  remaining
+                     the  three-argument  expression composed of the remaining
                      arguments.  Otherwise, the expression is parsed and eval-
-                     uated according to  precedence  using  the  rules  listed
+                     uated  according  to  precedence  using  the rules listed
                      above.
               5 or more arguments
-                     The  expression  is  parsed  and  evaluated  according to
+                     The expression  is  parsed  and  evaluated  according  to
                      precedence using the rules listed above.
 
-              When used with tteesstt or [[, the << and  >>  operators  sort  lexico-
+              When  used  with  tteesstt  or [[, the << and >> operators sort lexico-
               graphically using ASCII ordering.
 
-       ttiimmeess  Print  the  accumulated  user and system times for the shell and
+       ttiimmeess  Print the accumulated user and system times for  the  shell  and
               for processes run from the shell.  The return status is 0.
 
        ttrraapp [--llpp] [[_a_r_g] _s_i_g_s_p_e_c ...]
-              The command _a_r_g is to  be  read  and  executed  when  the  shell
-              receives  signal(s)  _s_i_g_s_p_e_c.   If _a_r_g is absent (and there is a
-              single _s_i_g_s_p_e_c) or --, each specified  signal  is  reset  to  its
-              original  disposition  (the  value  it  had upon entrance to the
-              shell).  If _a_r_g is the null string the signal specified by  each
-              _s_i_g_s_p_e_c  is ignored by the shell and by the commands it invokes.
-              If _a_r_g is not present and --pp has been supplied,  then  the  trap
-              commands  associated  with  each  _s_i_g_s_p_e_c  are displayed.  If no
-              arguments are supplied or if only --pp is given, ttrraapp  prints  the
-              list  of  commands  associated  with each signal.  The --ll option
-              causes the shell to print a list of signal names and their  cor-
-              responding  numbers.   Each  _s_i_g_s_p_e_c  is  either  a  signal name
-              defined in <_s_i_g_n_a_l_._h>, or a signal  number.   Signal  names  are
+              The  command  _a_r_g  is  to  be  read  and executed when the shell
+              receives signal(s) _s_i_g_s_p_e_c.  If _a_r_g is absent (and  there  is  a
+              single  _s_i_g_s_p_e_c)  or  --,  each  specified signal is reset to its
+              original disposition (the value it  had  upon  entrance  to  the
+              shell).   If _a_r_g is the null string the signal specified by each
+              _s_i_g_s_p_e_c is ignored by the shell and by the commands it  invokes.
+              If  _a_r_g  is  not present and --pp has been supplied, then the trap
+              commands associated with each  _s_i_g_s_p_e_c  are  displayed.   If  no
+              arguments  are  supplied or if only --pp is given, ttrraapp prints the
+              list of commands associated with each  signal.   The  --ll  option
+              causes  the shell to print a list of signal names and their cor-
+              responding numbers.   Each  _s_i_g_s_p_e_c  is  either  a  signal  name
+              defined  in  <_s_i_g_n_a_l_._h>,  or  a signal number.  Signal names are
               case insensitive and the SSIIGG prefix is optional.
 
-              If  a  _s_i_g_s_p_e_c  is  EEXXIITT (0) the command _a_r_g is executed on exit
-              from the shell.  If a _s_i_g_s_p_e_c is DDEEBBUUGG, the command _a_r_g is  exe-
-              cuted  before  every  _s_i_m_p_l_e _c_o_m_m_a_n_d, _f_o_r command, _c_a_s_e command,
-              _s_e_l_e_c_t command, every arithmetic _f_o_r  command,  and  before  the
-              first  command  executes  in a shell function (see SSHHEELLLL GGRRAAMMMMAARR
-              above).  Refer to the description of the eexxttddeebbuugg option to  the
+              If a _s_i_g_s_p_e_c is EEXXIITT (0) the command _a_r_g  is  executed  on  exit
+              from  the shell.  If a _s_i_g_s_p_e_c is DDEEBBUUGG, the command _a_r_g is exe-
+              cuted before every _s_i_m_p_l_e _c_o_m_m_a_n_d, _f_o_r  command,  _c_a_s_e  command,
+              _s_e_l_e_c_t  command,  every  arithmetic  _f_o_r command, and before the
+              first command executes in a shell function  (see  SSHHEELLLL  GGRRAAMMMMAARR
+              above).   Refer to the description of the eexxttddeebbuugg option to the
               sshhoopptt builtin for details of its effect on the DDEEBBUUGG trap.  If a
               _s_i_g_s_p_e_c is RREETTUURRNN, the command _a_r_g is executed each time a shell
               function or a script executed with the .. or ssoouurrccee builtins fin-
@@ -1568,53 +1575,53 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
 
               If a _s_i_g_s_p_e_c is EERRRR, the command _a_r_g is executed whenever a sim-
               ple command has a non-zero exit status, subject to the following
-              conditions.  The EERRRR trap is not executed if the failed  command
-              is  part  of  the  command list immediately following a wwhhiillee or
-              uunnttiill keyword, part of the test in an _i_f statement,  part  of  a
-              command  executed in a &&&& or |||| list, or if the command's return
-              value is being inverted via !!.  These are  the  same  conditions
+              conditions.   The EERRRR trap is not executed if the failed command
+              is part of the command list immediately  following  a  wwhhiillee  or
+              uunnttiill  keyword,  part  of the test in an _i_f statement, part of a
+              command executed in a &&&& or |||| list, or if the command's  return
+              value  is  being  inverted via !!.  These are the same conditions
               obeyed by the eerrrreexxiitt option.
 
-              Signals  ignored  upon  entry  to the shell cannot be trapped or
-              reset.  Trapped signals that are not being ignored are reset  to
+              Signals ignored upon entry to the shell  cannot  be  trapped  or
+              reset.   Trapped signals that are not being ignored are reset to
               their original values in a subshell or subshell environment when
-              one is created.  The return status is false if  any  _s_i_g_s_p_e_c  is
+              one  is  created.   The return status is false if any _s_i_g_s_p_e_c is
               invalid; otherwise ttrraapp returns true.
 
        ttyyppee [--aaffttppPP] _n_a_m_e [_n_a_m_e ...]
-              With  no options, indicate how each _n_a_m_e would be interpreted if
+              With no options, indicate how each _n_a_m_e would be interpreted  if
               used as a command name.  If the --tt option is used, ttyyppee prints a
-              string  which  is  one  of _a_l_i_a_s, _k_e_y_w_o_r_d, _f_u_n_c_t_i_o_n, _b_u_i_l_t_i_n, or
-              _f_i_l_e if  _n_a_m_e  is  an  alias,  shell  reserved  word,  function,
-              builtin,  or disk file, respectively.  If the _n_a_m_e is not found,
-              then nothing  is  printed,  and  an  exit  status  of  false  is
-              returned.   If  the  --pp  option is used, ttyyppee either returns the
+              string which is one of _a_l_i_a_s,  _k_e_y_w_o_r_d,  _f_u_n_c_t_i_o_n,  _b_u_i_l_t_i_n,  or
+              _f_i_l_e  if  _n_a_m_e  is  an  alias,  shell  reserved  word, function,
+              builtin, or disk file, respectively.  If the _n_a_m_e is not  found,
+              then  nothing  is  printed,  and  an  exit  status  of  false is
+              returned.  If the --pp option is used,  ttyyppee  either  returns  the
               name of the disk file that would be executed if _n_a_m_e were speci-
               fied as a command name, or nothing if ``type -t name'' would not
-              return _f_i_l_e.  The --PP option forces a PPAATTHH search for each  _n_a_m_e,
+              return  _f_i_l_e.  The --PP option forces a PPAATTHH search for each _n_a_m_e,
               even if ``type -t name'' would not return _f_i_l_e.  If a command is
               hashed, --pp and --PP print the hashed value, which is not necessar-
-              ily  the  file  that appears first in PPAATTHH.  If the --aa option is
-              used, ttyyppee prints all of the places that contain  an  executable
+              ily the file that appears first in PPAATTHH.  If the  --aa  option  is
+              used,  ttyyppee  prints all of the places that contain an executable
               named _n_a_m_e.  This includes aliases and functions, if and only if
               the --pp option is not also used.  The table of hashed commands is
-              not  consulted  when  using  --aa.  The --ff option suppresses shell
+              not consulted when using --aa.  The  --ff  option  suppresses  shell
               function lookup, as with the ccoommmmaanndd builtin.  ttyyppee returns true
               if all of the arguments are found, false if any are not found.
 
        uulliimmiitt [--HHSSTTaabbccddeeffiillmmnnppqqrrssttuuvvxx [_l_i_m_i_t]]
-              Provides  control  over the resources available to the shell and
-              to processes started by it, on systems that allow such  control.
+              Provides control over the resources available to the  shell  and
+              to  processes started by it, on systems that allow such control.
               The --HH and --SS options specify that the hard or soft limit is set
-              for the given resource.  A hard limit cannot be increased  by  a
-              non-root  user  once it is set; a soft limit may be increased up
-              to the value of the hard limit.  If neither --HH nor --SS is  speci-
+              for  the  given resource.  A hard limit cannot be increased by a
+              non-root user once it is set; a soft limit may be  increased  up
+              to  the value of the hard limit.  If neither --HH nor --SS is speci-
               fied, both the soft and hard limits are set.  The value of _l_i_m_i_t
               can be a number in the unit specified for the resource or one of
               the special values hhaarrdd, ssoofftt, or uunnlliimmiitteedd, which stand for the
-              current hard limit,  the  current  soft  limit,  and  no  limit,
-              respectively.   If  _l_i_m_i_t  is  omitted, the current value of the
-              soft limit of the resource is printed, unless the --HH  option  is
+              current  hard  limit,  the  current  soft  limit,  and no limit,
+              respectively.  If _l_i_m_i_t is omitted, the  current  value  of  the
+              soft  limit  of the resource is printed, unless the --HH option is
               given.  When more than one resource is specified, the limit name
               and unit are printed before the value.  Other options are inter-
               preted as follows:
@@ -1623,11 +1630,11 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
               --cc     The maximum size of core files created
               --dd     The maximum size of a process's data segment
               --ee     The maximum scheduling priority ("nice")
-              --ff     The  maximum  size  of files written by the shell and its
+              --ff     The maximum size of files written by the  shell  and  its
                      children
               --ii     The maximum number of pending signals
               --ll     The maximum size that may be locked into memory
-              --mm     The maximum resident set size (many systems do not  honor
+              --mm     The  maximum resident set size (many systems do not honor
                      this limit)
               --nn     The maximum number of open file descriptors (most systems
                      do not allow this value to be set)
@@ -1636,64 +1643,64 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
               --rr     The maximum real-time scheduling priority
               --ss     The maximum stack size
               --tt     The maximum amount of cpu time in seconds
-              --uu     The maximum number of processes  available  to  a  single
+              --uu     The  maximum  number  of  processes available to a single
                      user
-              --vv     The  maximum  amount  of  virtual memory available to the
+              --vv     The maximum amount of virtual  memory  available  to  the
                      shell and, on some systems, to its children
               --xx     The maximum number of file locks
               --TT     The maximum number of threads
 
-              If _l_i_m_i_t is given, and the --aa option is not used, _l_i_m_i_t  is  the
-              new  value  of  the  specified resource.  If no option is given,
-              then --ff is assumed.  Values are in 1024-byte increments,  except
-              for  --tt,  which is in seconds; --pp, which is in units of 512-byte
-              blocks; and --TT, --bb, --nn, and --uu, which are unscaled values.   The
-              return  status is 0 unless an invalid option or argument is sup-
+              If  _l_i_m_i_t  is given, and the --aa option is not used, _l_i_m_i_t is the
+              new value of the specified resource.  If  no  option  is  given,
+              then  --ff is assumed.  Values are in 1024-byte increments, except
+              for --tt, which is in seconds; --pp, which is in units  of  512-byte
+              blocks;  and --TT, --bb, --nn, and --uu, which are unscaled values.  The
+              return status is 0 unless an invalid option or argument is  sup-
               plied, or an error occurs while setting a new limit.
 
        uummaasskk [--pp] [--SS] [_m_o_d_e]
               The user file-creation mask is set to _m_o_d_e.  If _m_o_d_e begins with
-              a  digit,  it is interpreted as an octal number; otherwise it is
-              interpreted as a symbolic mode mask similar to that accepted  by
-              _c_h_m_o_d(1).   If _m_o_d_e is omitted, the current value of the mask is
-              printed.  The --SS option causes the mask to be  printed  in  sym-
-              bolic  form;  the  default output is an octal number.  If the --pp
+              a digit, it is interpreted as an octal number; otherwise  it  is
+              interpreted  as a symbolic mode mask similar to that accepted by
+              _c_h_m_o_d(1).  If _m_o_d_e is omitted, the current value of the mask  is
+              printed.   The  --SS  option causes the mask to be printed in sym-
+              bolic form; the default output is an octal number.   If  the  --pp
               option is supplied, and _m_o_d_e is omitted, the output is in a form
               that may be reused as input.  The return status is 0 if the mode
-              was successfully changed or if no _m_o_d_e  argument  was  supplied,
+              was  successfully  changed  or if no _m_o_d_e argument was supplied,
               and false otherwise.
 
        uunnaalliiaass [-aa] [_n_a_m_e ...]
-              Remove  each  _n_a_m_e  from  the list of defined aliases.  If --aa is
-              supplied, all alias definitions are removed.  The  return  value
+              Remove each _n_a_m_e from the list of defined  aliases.   If  --aa  is
+              supplied,  all  alias definitions are removed.  The return value
               is true unless a supplied _n_a_m_e is not a defined alias.
 
        uunnsseett [-ffvv] [-nn] [_n_a_m_e ...]
-              For  each  _n_a_m_e,  remove the corresponding variable or function.
+              For each _n_a_m_e, remove the corresponding  variable  or  function.
               If the --vv option is given, each _n_a_m_e refers to a shell variable,
-              and  that  variable  is removed.  Read-only variables may not be
-              unset.  If --ff is specified, each _n_a_m_e refers to  a  shell  func-
-              tion,  and the function definition is removed.  If the --nn option
-              is supplied, and _n_a_m_e is a variable with the _n_a_m_e_r_e_f  attribute,
-              _n_a_m_e  will  be unset rather than the variable it references.  --nn
-              has no effect if the --ff option is supplied.  If no  options  are
-              supplied,  each  _n_a_m_e refers to a variable; if there is no vari-
-              able by that name, any function with that name is  unset.   Each
-              unset  variable  or  function  is  removed  from the environment
-              passed to subsequent commands.  If any of CCOOMMPP__WWOORRDDBBRREEAAKKSS,  RRAANN--
+              and that variable is removed.  Read-only variables  may  not  be
+              unset.   If  --ff  is specified, each _n_a_m_e refers to a shell func-
+              tion, and the function definition is removed.  If the --nn  option
+              is  supplied, and _n_a_m_e is a variable with the _n_a_m_e_r_e_f attribute,
+              _n_a_m_e will be unset rather than the variable it  references.   --nn
+              has  no  effect if the --ff option is supplied.  If no options are
+              supplied, each _n_a_m_e refers to a variable; if there is  no  vari-
+              able  by  that name, any function with that name is unset.  Each
+              unset variable or  function  is  removed  from  the  environment
+              passed  to subsequent commands.  If any of CCOOMMPP__WWOORRDDBBRREEAAKKSS, RRAANN--
               DDOOMM, SSEECCOONNDDSS, LLIINNEENNOO, HHIISSTTCCMMDD, FFUUNNCCNNAAMMEE, GGRROOUUPPSS, or DDIIRRSSTTAACCKK are
               unset, they lose their special properties, even if they are sub-
               sequently reset.  The exit status is true unless a _n_a_m_e is read-
               only.
 
        wwaaiitt [_n _._._.]
-              Wait for each specified process and return its termination  sta-
-              tus.   Each  _n  may be a process ID or a job specification; if a
-              job spec is given, all processes  in  that  job's  pipeline  are
-              waited  for.  If _n is not given, all currently active child pro-
-              cesses are waited for, and the return  status  is  zero.   If  _n
-              specifies  a  non-existent  process or job, the return status is
-              127.  Otherwise, the return status is the  exit  status  of  the
+              Wait  for each specified process and return its termination sta-
+              tus.  Each _n may be a process ID or a job  specification;  if  a
+              job  spec  is  given,  all  processes in that job's pipeline are
+              waited for.  If _n is not given, all currently active child  pro-
+              cesses  are  waited  for,  and  the return status is zero.  If _n
+              specifies a non-existent process or job, the  return  status  is
+              127.   Otherwise,  the  return  status is the exit status of the
               last process or job waited for.
 
 SSEEEE AALLSSOO
diff --git a/doc/builtins.ps b/doc/builtins.ps
index 9325009a..c1c4e33e 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19.2
-%%CreationDate: Thu Jul  5 20:43:03 2012
+%%CreationDate: Mon Jul 16 16:12:25 2012
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
